2010-2013
Khronos Group
glIsSampler
3G

# glIsSampler

determine if a name corresponds to a sampler object

## C Specification

                    GLboolean glIsSampler
                    GLuint id

## Parameters

`id`

  Specifies a value that may be the name of a sampler object.

## Description

`glIsSampler` returns `GL_TRUE` if `id` is currently the name of a sampler object. If `id` is zero, or is a non-zero value that is not currently the name of a sampler object, or if an error occurs, `glIsSampler` returns `GL_FALSE`.

A name returned by glGenSamplers, is the name of a sampler object.

## Notes

`glIsSampler` is available only if the GL version is 3.3 or higher.

## See Also

glGenSamplers, glBindSampler, glDeleteSamplers

## Copyright

Copyright 2010-2013 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.